Name:		xfce4-websearch-plugin
Version:	0.1.1
Release:	0.5.20070428svn2704%{?dist}
Summary:	Websearch plugin from the XFCE panel

Group:		User Interface/Desktops
License:	GPL
URL:		http://goodies.xfce.org/
# Source0 was generated with the following commands:
# svn co http://svn.xfce.org/svn/goodies/xfce4-websearch-plugin/trunk xfce4-websearch-plugin
# tar -cjf xfce4-websearch-plugin-`date +%G%m%d`svn2704.tar.bz2 xfce4-websearch-plugin
Source0:	%{name}-20070428svn2704.tar.bz2
#Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.3.0, libxfcegui4-devel >= 4.3.0, libxml2-devel
BuildRequires:	gettext
BuildRequires:	xfce4-dev-tools >= 4.3.90.2
Requires:	xfce4-panel >= 4.4.0

%description
Access searchengines from the XFCE panel.

%prep
%setup -qn %{name}

%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/xfce4/panel-plugins/*.so
%{_datadir}/xfce4/panel-plugins/*.desktop

%changelog
* Sat Apr 28 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.1-0.5.20070428svn2704
- Update to svn release 2704 on Xfce 4.4.1

* Tue Mar 20 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.1-0.4.20070128svn2458
- Update to svn release 2458.

* Mon Jan 22 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.1-0.3.20060923svn
- Rebuild on Xfce 4.4.

* Thu Oct 05 2006 Christoph Wickert <fedora christoph-wickert de> - 0.1.1-0.2.20060923svn
- Bump release for devel checkin.

* Sat Sep 23 2006 Christoph Wickert <fedora christoph-wickert de> - 0.1.1-0.1.20060923svn
- Update to svn snapshot of Sep 23rd 2006 on Xfce 4.3.99.1.

* Mon Sep 04 2006 Christoph Wickert <fedora christoph-wickert de> - 0.1.0-7
- Mass rebuild for Fedora Core 6.

* Mon Sep 04 2006 Christoph Wickert <fedora christoph-wickert de> - 0.1.0-7
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-6
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-5
- Rebuild for Fedora Extras 5.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-4
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-1%{?dist}%{?repo}
- Initial RPM release.
